%global _empty_manifest_terminate_build 0
Name:           python-pdfminer.six
Version:        20231228
Release:        2
Summary:        PDF parser and analyzer.
License:        MIT
URL:            https://github.com/pdfminer/pdfminer.six
Source0:        https://files.pythonhosted.org/packages/31/b1/a43e3bd872ded4deea4f8efc7aff1703fca8c5455d0c06e20506a06a44ff/pdfminer.six-20231228.tar.gz
BuildArch:      noarch
%description
PDF parser and analyzer.

%package -n python3-pdfminer.six
Summary:        PDF parser and analyzer.
Provides:       python-pdfminer.six
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools-git-versioning
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-pdfminer.six
PDF parser and analyzer.

%package help
Summary:        Development documents and examples for pdfminer.six.
Provides:       python3-pdfminer.six-doc
%description help
Development documents and examples for pdfminer.six.

%prep
%autosetup -n pdfminer.six-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pdfminer.six -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Feb 18 2025 Bijie Wu <wubijie@kylinos.cn> - 20231228-2
- BuildRequires python-setuptools-git-versioning

* Tue Apr 23 2024 zhaojingyu <zhaojingyu@kylinos.cn> - 20231228-1
- Update package to version 20231228
- Added output converter for the hOCR format

* Tue Nov 7 2023 Dongxing Wang <dxwangk@isoftstone.com> - 20221105-1
- Init package
